% Copyright 2006 Konstantin Korikov <lostclus@ua.fm>
%
% This work may be distributed and/or modified under the
% conditions of the LaTeX Project Public License, either version 1.3
% of this license or (at your option) any later version.
% The latest version of this license is in
%   http://www.latex-project.org/lppl.txt
% and version 1.3 or later is part of all distributions of LaTeX
% version 2003/12/01 or later.
%
% This work has the LPPL maintenance status "maintained".
% 
% This Current Maintainer of this work is Konstantin Korikov.
%
% This work consists of all files listed in manifest.txt.
%

%
% This is automaticaly generated file, do not edit it.
%

\NeedsTeXFormat{LaTeX2e}
\ProvidesClass{espdtext}[2010/01/14 v0.98 Textual Documentation]

\newcommand{\ESPD@docfont}{14pt}
\newcommand{\ESPD@float@style}{single}
\newcommand{\ESPD@equation@style}{single}

\DeclareOption{russian}{\PassOptionsToPackage{\CurrentOption}{espdlang}}
\DeclareOption{ukrainian}{\PassOptionsToPackage{\CurrentOption}{espdlang}}
\DeclareOption{koi8-r}{\PassOptionsToPackage{\CurrentOption}{espdlang}}
\DeclareOption{koi8-u}{\PassOptionsToPackage{\CurrentOption}{espdlang}}
\DeclareOption{cp1251}{\PassOptionsToPackage{\CurrentOption}{espdlang}}
\DeclareOption{iso8859-5}{\PassOptionsToPackage{\CurrentOption}{espdlang}}
\DeclareOption{cp866}{\PassOptionsToPackage{\CurrentOption}{espdlang}}
\DeclareOption{utf-8}{\PassOptionsToPackage{\CurrentOption}{espdlang}}
\DeclareOption{utf8}{\PassOptionsToPackage{\CurrentOption}{espdlang}}
\DeclareOption{12pt}{\renewcommand{\ESPD@docfont}{12pt}}
\DeclareOption{14pt}{\renewcommand{\ESPD@docfont}{14pt}}
\DeclareOption{pointsingle}{\PassOptionsToPackage{\CurrentOption}{espdsect}}
\DeclareOption{pointsection}{\PassOptionsToPackage{\CurrentOption}{espdsect}}
\DeclareOption{pointsubsection}{\PassOptionsToPackage{\CurrentOption}{espdsect}}
\DeclareOption{floatsingle}{\renewcommand{\ESPD@float@style}{single}}
\DeclareOption{floatsection}{\renewcommand{\ESPD@float@style}{section}}
\DeclareOption{floatsubsection}{\renewcommand{\ESPD@float@style}{subsection}}
\DeclareOption{equationsingle}{\renewcommand{\ESPD@equation@style}{single}}
\DeclareOption{equationsection}{\renewcommand{\ESPD@equation@style}{section}}
\DeclareOption{equationsubsection}{\renewcommand{\ESPD@equation@style}{subsection}}
\DeclareOption{footnotearabic}{\PassOptionsToPackage{\CurrentOption}{espdfootnote}}
\DeclareOption{footnoteasterisk}{\PassOptionsToPackage{\CurrentOption}{espdfootnote}}
\DeclareOption{twoside}{%
  \PassOptionsToClass{\CurrentOption}{extarticle}%
  \PassOptionsToPackage{\CurrentOption}{espdstamp}}
\DeclareOption{draft}{\PassOptionsToClass{\CurrentOption}{extarticle}}
\DeclareOption{formI}{%
  \ClassError{espdtext}{formI style is for graphical documentaion}{}}
\DeclareOption{zonelabels}{%
  \ClassError{espdtext}{Zone labels is not allowed for textual documentaion}{}}
\DeclareOption*{\PassOptionsToPackage{\CurrentOption}{espdstamp}}

\ProcessOptions\relax

\LoadClass[\ESPD@docfont]{extarticle}
\RequirePackage{espdlang}
\RequirePackage[a4paper,espd]{espdstamp}
\RequirePackage{espdindent}
\RequirePackage{espdlist}
\RequirePackage{espdsect}
\RequirePackage{espdcap}
\RequirePackage{espdfootnote}
\RequirePackage{espdbiblist}
\RequirePackage{espdexplan}
\RequirePackage{espdinfo}
\RequirePackage{espdtitlebase}
\RequirePackage{espdtitle}

\linespread{1.5}

\newcommand{\ESPD@float@style@single}{}

\newcommand{\ESPD@float@style@section}{
  \@addtoreset{figure}{section}
  \@addtoreset{table}{section}
  \renewcommand{\thefigure}{%
    \ifnum \c@section>\z@ \thesection.\fi \arabic{figure}}
  \renewcommand{\thetable}{%
    \ifnum \c@section>\z@ \thesection.\fi \arabic{table}}}

\newcommand{\ESPD@float@style@subsection}{
  \@addtoreset{figure}{subsection}
  \@addtoreset{table}{subsection}
  \renewcommand{\thefigure}{%
    \ifnum \c@subsection>\z@ \thesubsection.\fi \arabic{figure}}
  \renewcommand{\thetable}{%
    \ifnum \c@subsection>\z@ \thesubsection.\fi \arabic{table}}}

\@nameuse{ESPD@float@style@\ESPD@float@style}

\newcommand{\ESPD@equation@style@single}{}

\newcommand{\ESPD@equation@style@section}{
  \@addtoreset{equation}{section}
  \renewcommand{\theequation}{%
    \ifnum \c@section>\z@ \thesection.\fi \arabic{equation}}}

\newcommand{\ESPD@equation@style@subsection}{
  \@addtoreset{equation}{subsection}
  \renewcommand{\theequation}{%
    \ifnum \c@subsection>\z@ \thesubsection.\fi \arabic{equation}}}

\@nameuse{ESPD@equation@style@\ESPD@equation@style}

